 Description
Description

[Help index]

Overview: ExcelFIX is a fourth generation MS Excel file recovery Software that restores damaged or corrupt files that cannot be opened. ExcelFIX extracts the information from the damaged file and creates a new file that is trouble free. It works with all versions of MS Excel including 95, 97, 2000, XP, and 2003.

Editions: ExcelFIX is available in three registered editions: Standard, PRO, and Enterprise. You can preview and order ExcelFIX as a stand alone Software or as part of the Office recovery Suite OfficeFIX. OfficeFIX includes all three Cimaware Software Ms Office recovery utilities that include ExcelFIX, AccessFIX, and WordFIX.

The free demo edition lets you evaluate the file recovery capabilities of the program.


 New in this version
New in this version

ExcelFIX 5

In addition to the features in previous versions, the new ExcelFIX 5 includes:

  • New corruption types are now recovered: Files that in some instances could not be restored are now recovered.
  • Recovery of comments: Comments attached to cells are now restored.
  • Recovery of merged cells: Cells merged together as a unique cell are now recovered.
  • Recovery of outlines: Data that allows hiding sets of rows or columns in order to have a hierarchical view of the information in the original file is now recovered.
  • New user interface: The interface has been updated to incorporate the new Cimaware Software corporate image.
ExcelFIX 4

Excelfix 4 incorporated the following major features and additions:

  • Entirely new recovery engine.
  • New user interface and design.
  • New and improved lost string corruption recovery wizard that is also easier to use.
  • New file editor included that allows you to perform advanced editing actions before saving the file.
  • Now pictures - Bitmaps and other embedded objects - are recovered.
  • Now charts - As a whole page or embedded into the sheets - are recovered.
  • Now external link formulas - References to sheets placed outside the file - are recovered more completely and efficiently.
  • Now 3D link formulas - References to 3D ranges (multi-sheet wide ranges) - are recovered.
  • Now deleted data links - Deleted reference values such as =#¡REF!B3 - are recovered.
  • Now names - Labelled references - are recovered.
  • Now hyperlinks - html hyperlinks - are recovered.
  • Now printer settings and page breaks are recovered.
  • Now zoom - Zoom factor viewing each sheet - is recovered.
  • Now large texts - Full recovery of all texts (even if they are longer than 255 characters) - are recovered.
  • Now the exact cell style - Column width & height, border style, pattern, etc. exactly as the original - is recovered.
  • An enhanced formula recovery has been added.

Read about the different features in ExcelFIX.


 Features & editions
Features & editions

The Demo edition allows you to evaluate each edition through the program menu [Help / Demo].

ExcelFIX is delivered in 3 different commercial editions: Standard, PRO and Enterprise; and 1 free evaluation Demo edition. All include our powerful MS Excel Recovery Engine.

ExcelFIX Standard

This edition will let the user recover a damaged file and save it into a new, trouble free file. The Standard edition recovers the information in the file without formats or embedded images and graphs. If this information is sufficient, or your file does not contain these elements, this could be a valid option.

  • Recovery of texts, numbers, and formulas.
  • Saves the recovered data in a new trouble free MS Excel file.
  • Works with any MS Excel version, including 95, 97, 2000, XP, and 2003.
  • Restores the name of the sheets.
  • Allows you to view the recovered data with its workbook-viewer window.
  • Runs in Windows 95/98/2000/NT/XP.
  • Includes automatic install and uninstall features.
  • Multi-language option: English, Spanish, French, German, Italian, Dutch, and Portuguese.
  • Frequent updates with new features.
  • Free technical support.
  • Free updates for 1 year.

ExcelFIX PRO

This edition can create a functioning version of a damaged MS Excel file in seconds. If your file contains formats, charts or images, external links, large texts, or any of the many features included in ExcelFIX PRO, this is your best option. The PRO edition will let you avoid the lengthy rebuilding of your damaged files after they have been recovered. ExcelFIX PRO will restore the file as it was before the corruption. The features include:

  • All the Standard edition features.
  • Recovery of formats including column widths, row heights, colors, fonts, borders and number, date and time formats.
  • Recovery of lost string corruption.
  • Pictures - Bitmaps and other embedded objects.
  • Charts - As a whole page or embedded into a sheet.
  • External link formulas - References to sheets placed outside the file.
  • 3D link formulas - References to 3D ranges (multi-sheet wide ranges).
  • Deleted data links - Deleted reference values such as =#¡REF!B3.
  • Names - Labelled references.
  • Hyperlinks - html hyperlinks.
  • Printer settings and page breaks.
  • Zoom - Zoom factor viewing each sheet.
  • Large texts recovery - Full recovery of all texts (even if they are longer than 255 characters).
  • Exact cell style - Column width & height, border style, pattern, etc. exactly as the original.
  • Enhanced formula recovery.
  • Recovery of comments.
  • Recovery of merged cells.
  • Recovery of outlines.

ExcelFIX Enterprise

The Enterprise edition is recommended for use in businesses and corporations. This is intended for users that require advanced operations or the fine tuning of a recovery. In addition to the features found in the Standard and PRO editions, ExcelFIX Enterprise includes a multi-file recovery option for those cases where many files have been affected by a corruption. In only one operation you can restore dozens or even hundreds of files. The Enterprise edition also adds advanced editing options for those files that have persistent corruptions that need these options. The features include:

  • All the Standard & PRO edition features.
  • Multi-file recovery: Allows you to select and recover multiple files in one step.
  • Document edition: Allows the user to tune up trouble documents in order to remove persistent corruption problems.


 Release history
Release history

ExcelFIX was originally released March 1st, 2000. The original name of the software was DRUME, released October 27th, 1999. ExcelFIX has been continuously improved with more than 50 updates since it was first published. You can view the entire release history in our web site.


 System requirements
System requirements

Minimum requirements

  • Computer: 486 or better.
  • Operating System: Microsoft Windows.
  • Memory: 32 megabytes.
  • Disk Space: 8 megabytes.
  • Video: 256 colors.

Recommended Set-up

  • Computer: Pentium 200 or better.
  • Operating System: Microsoft Windows.
  • Memory: 64+ megabytes.
  • Disk Space: 16+ megabytes.
  • Video: 16 bit or better.


 Multi-language
Multi-language

Program

You can select the user interface language during the installation. If you want to change the language, and ExcelFIX is already installed, you will need to uninstall and reinstall ExcelFIX in order to select a different language.

The available languages are:

  • English
  • Spanish
  • German
  • French
  • Italian
  • Dutch
  • Portuguese

Web site

The Cimaware Software website is also available in the same languages:

  • English: http://www.cimaware.com
  • Spanish: http://www.es.cimaware.com
  • German: http://www.cimaware.de
  • French: http://www.cimaware.com.fr
  • Italian: http://www.cimaware.it
  • Dutch: http://www.cimaware.nl
  • Portuguese: http://www.br.cimaware.com


 Limitations
Limitations

Depending on the type of corruption not all files are recoverable. A damaged file can be recovered when the information is damaged or corrupt, but not when it has been erased from the file.

ExcelFIX can only restore information left in the file after the corruption. In most cases this is 99% to 100% of the file.

Currently ExcelFIX does not recover:

  • Password protected files.
  • Visual Basic and Macros.
  • Array formulas.
  • Pivot tables: only cell values are recovered.


 Uninstall instructions
Uninstall instructions

From your windows desktop launch [Start / Programs / Cimaware OfficeFIX 3 / Uninstall OfficeFIX].

ExcelFIX is a pure stand alone application that never interferes with your system. ExcelFIX does not modify nor change anything in MS Excel nor Windows, therefore the uninstall function simply removes the ExcelFIX files from the "Programs" folder and removes the program from the Windows application list.


 Main window & navigation
Main window & navigation

One window navigation

ExcelFIX interacts through an innovative "one window only" graphic user interface similar to the navigation used in internet browsers.

Use the bottom-right buttons to progress through the different steps of the program.

Wizards

ExcelFIX is organized in several wizards and forms to perform the different functions. If you are navigating a wizard the top-right label will tell you about the current wizard and step.

Top buttons

The top buttons allows you to change the current main section. The main sections are: Quick recovery, Advanced recovery, Multi-file recovery, Options and Update.

Some of the main sections have an added navigation on the left intended to facilitate browsing when there are many forms or when using wizards with multiple steps.

Tool-tips

Every button, field, and control in ExcelFIX has a detailed explanation attached. You can view the explanation texts by placing the mouse pointer over any element and waiting a few seconds.

Contextual help

You can open the help by pressing the key <F1> at any time.


 Quick recovery
Quick recovery

You can access to the Quick recovery wizard in the menu [File / Recovery].

The Quick Recovery wizard allows you to perform the recovery of a damaged MS Excel file easily in only a few steps with a set of default options, from the selection of the damaged file, the recovery, and saving it into a new trouble free MS Excel document.

If you require more control over the recovery you may want to try the Advanced recovery.


 Advanced recovery
Advanced recovery

You can access this section through the menu [File / Advanced].

The Advanced Recovery process allows you to perform the recovery of a damaged MS Excel file with advanced options and additional functions. If advanced options are not required we recommend using the Quick recovery.

Added left navigation

Advanced Recovery is divided into 3 functional areas represented on the left of the screen by 3 groups:

  • Recovery: Links in this group will take you to the different entry points of the advanced recovery wizard. You will be able to select the damaged file, recover, view and save it to a new and trouble free MS Excel file.
  • Lost Strings: Links in this group allow you to access the lost string wizard. This is intended to be used as a tool to restore files containing lost strings.
  • Editor: The editor allows you to perform advanced editing application to the current previewed file before saving.

Why are some options not available?

Some options are grayed out until a file has been read and is in the memory of the software. For example, you cannot access the editor or the lost string recovery options until a file has been selected and recovered.


 Multi-file recovery
Multi-file recovery

You can access the Multi-file recovery wizard in the menu [File / Multi-file].

The Multi-file Recovery wizard allows you to perform an unattended recovery of a series of damaged MS Excel files. This will read and recover the corrupt files one by one with the default options and will save the resulting files in a new location to preserve the original files. The wizard will complete the recovery of all the files even if one of the files could not be recovered correctly. After the recoveries are completed you will see how each file was recovered.

You can set-up the way in which ExcelFIX calculates the location and file name of the output files in the menu [Options / Options / Multi-file].

If you would like more control over the recovery process, you may prefer a one by one recovery using the Quick recovery or Advanced recovery functions.


 Lost strings
Lost strings (overview)
[Overview] [Explanation] [ Types and applicability ] [Binding tips] [ Recovery example]

[Help index]
We use the "Lost string" term to refer to a " text label that has been detached from its container cell" due to a corruption.

In some corruption cases the text listing in an MS Excel file breaks up into several parts. As a result the reference system between the cell information and the text listing becomes invalid. The Lost strings feature will allow you to reconstruct the reference system between both.

This feature can help if you have cells with the label "Lost string" or if you have text cells in an incorrect position. This is available for PRO and Enterprise users.

You can access the Lost string wizard in the menu [Options / Lost strings]. This option will be only available after a file has been recovered and is currently available for preview.

The "Lost strings" corruption recovery feature is not an option for every corrupt MS Excel file. You must read this documentation carefully and check that your file matches all the requirements necessary for this feature to be useful. Lost string corruption recovery is not an automatic feature, it will require the user's involvement.

How does an MS Excel file store texts?


 Editing a document
Editing a document

You can reach this editor through the menu [Options / Edit document]. This option will be only available after a file has been recovered and is currently available for preview.

This allows you to perform advanced editing actions before saving the file. This can be useful in special cases where a few cells may still be corrupt in the output file. The actions including: hard-cleaning, deleting and cropping, can be applied to a few cells, an individual sheet or the entire file.

In most cases these option are not required. This is intended to give the user the option of applying manually some filtering functions when a special corruption persists in the file after the recovery. You can find additional information about cleaning a file manually in the topic recovery questions.

The advanced editing actions that can be performed before saving the recovered file are the following:

Hard cleaning

Hard-clean is the process of converting the internal binary data of a cell formula to a text and then converting back from the text to the binary data again. This allows you to remove persistent corruptions in specific cells. In the process some elements as external links could be lost.

The hard clean action cannot be undone. Once the operation has been applied if you want to go back to the previous version of the recovered file you will have to recover the damaged file again.

You can apply this to an entire file, a selected sheet, or selected cells.

Deleting

This deletes the selected cells in the selected sheet. This action may be useful when you suspect a cell contains corrupt elements such as an incorrect formula. Once the file is saved into a new file you can recreate the problem cell in MS Excel.

The deleting action cannot be undone. Once the operation has been applied if you want to go back to the previous version of the recovered file you will have to recover the damaged file again.

Cropping

This is identical to the deleting operation but the deleted area is the inverse of the selection. This means that all the cells in the selected sheet are deleted except for those which are selected.

The cropping action cannot be undone. Once the operation has been applied if you want to go back to the previous version of the recovered file you will have to recover the damaged file again.


 Options: General
Options (general)
[General] [Multi-file] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

On start recovery section

You may set ExcelFIX to start with one of the three recovery Wizards available: Quick recovery, Advanced recovery, or Multi-file recovery. Not all options are available for every edition of the program.

Default output file suffix

This option will only affect the quick recovery & advanced recovery operations. For multi-file recovery naming options go to the menu [Options / Options / Multi-file].

By default, a file recovered by ExcelFIX will have the original file name plus the suffix "(ExcelFIX)". This is done to avoid using the same file name and overwriting the original file.

The program lets you edit the suffix used for the output file name but it will not let you leave the field empty. ExcelFIX will not let you overwrite your original file.

The changes made to the default output file suffix will be applied to the current file being recovered and to any file recovered thereafter.

Show formulas in the viewer

By default ExcelFIX shows the values that MS Excel saved in the viewer. You may check this box so that the viewer shows the formulas in the cells instead. You may want to select this option if you want to visually check how the formulas were recovered.

Auto-check for updates

If this option is checked ExcelFIX will check for updates online each time the program is started. If you are not regularly connected to the Internet you may want to uncheck this option.

If this option is activated ExcelFIX will check for updates automatically when the program is starting. Only If there is a new version available you will be taken to the update wizard where you can download the new version if desired.

The program will always download the latest version even when this option is unchecked in the menu [Options / Update].


 Update wizard: Check for updates
Update wizard (1 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Check for updates

Click on [Check online] to connect to the cimaware.com site and check if there are new updates available.

You can have the program check automatically for updates each time you start it. This option is in the menu [Options / Options / General].

Privacy warranty

Your privacy is fully protected. No personal information is ever exchanged. Read our privacy policy web page.


 Installing the license file
Installing the license file

If you try to use a purchased version of ExcelFIX but the license file has not been installed in Windows you will be redirected to the "License required" screen.

When you purchase ExcelFIX you are actually purchasing a user license of the program. The user license consists of the licensee data (your data) and the particular terms such as when your free updating expires. All this data is electronically signed and entered into the license file.

Quickly processing the "license required" screen.

This will take you just 1 minute:

  • Go to the Quick install page in your member's control panel at our web site.
  • The "Step 1" has a link to download and install the license file. Once this is done you can click on [Try again] to continue.

You will be asked for your login data. You can find this data in the email you received after purchasing. If you still have problems with this screen contact us.


 1st time activation
1st time activation

If you try to start ExcelFIX when it is not activated you will be directed to the "Program activation" screen.

The purchased version of ExcelFIX requires online activation for each installed copy of the program.

Quick activation from the "Program activation" screen.

This is an automatic operation. You only have to click on [Activate] with an active Internet connection.

If you have problems activating the program

If you have problems with this screen make a support request including the "hardware code" accessible by right-clicking on the middle of the screen and selecting [Activate offline].

Privacy warranty

Your privacy is fully protected. When you click on the [Activate] button, the following steps are carried out:

  1. The program connects to our internet server.
  2. The user license number and a hash code representing your hardware is sent. This code does not provide any information about you or your computer.
  3. Our internet server returns a signed validation which activates the program.

Cimaware Software puts a priority on the protection of the personal data of its customers. Read our privacy policy web page.


 Licensee details & license agreement
License details & agreement

You can read the details about your license in the menu [Help / License].

When you purchase ExcelFIX you are actually purchasing a user license of the program. The user license has two parts:
  • License details: information about the licensee and particular terms of the license such as the updates limit date.

  • License agreement: the shared contract for all ExcelFIX users.


 Demo settings
Demo settings

You can access the demo settings through the menu [Help / Demo].

There are 4 different editions of ExcelFIX: Standard, PRO, Enterprise, and Demo. This screen allows you to select any of the available editions for evaluation purposes. The demo restrictions are applied to all the editions.

Choose an edition on the combo "Work as" and click on [Apply]. ExcelFIX Demo will convert to the selected edition.


 Company
Company

Since 1998, Cimaware Software has provided software solutions that give individuals and organizations the opportunity to recover Microsoft Office files, databases, and documents, that have been damaged by a corruption. Read more about Cimaware Software at our web site.


 Contact information
Contact information

Address

Cimaware Software
c/ Josep Pla 18
28002 Madrid
Spain, European Union
Tax ID: B-82363896

Business hours

Time zone | Hours | Location
US Eastern Standard Time (EST) | 3AM to 3PM | U.S. East coast
Greenwich Mean Time (GMT) | 8AM to 8PM | London, Dublin, Lisbon
Central European Time (CET) | 9AM to 9PM | Madrid, Paris, Brussels, Copenhagen

After placing your order Online registration and download information is sent immediately and automatically via Email, regardless of our business hours.

Send us a message

  • Sales support: general questions.
  • Technical support: technical questions.
  • Feedback: suggestions about the software or the web site.

Europe phone & fax

  • Phone: +34 912 374 010
  • Fax: +34 915 614 283

English and Spanish spoken.

U.S. phones and Fax

  • Sales support only. Not for technical support.
  • Please check our business hours above.
  • Calls outside the US should use the European numbers.
  • Toll Free (US only): +1 866 849 0342
  • Phone: +1 206 203 6114
  • Fax: +1 530 678 9846 / +1 888 217 3587

English and Spanish spoken.


 Technical support
Technical support

Purchasing ExcelFIX includes free technical support via Email or Web request. All questions are answered promptly always in the same day if received during office hours Monday through Friday within the hour, usually in minutes.

Please read our Frequently Asked Questions and if you do not find the answer make a support request.


 Demo limitations
Demo limitations

ExcelFIX demo edition allows you to assess the recovery capabilities of the utility. You can select any damaged file and recover it in seconds. Once the file has been recovered you can view the results in the document viewer. ExcelFIX demo edition can be configured so it works as any of the editions, Standard, PRO, and Enterprise. Read more about the demo settings.

The demo edition works exactly as the purchased editions except for the following:

  • The demo shows a preview of the recovered data but it does not save the file.
  • The demo hides row 40 and one in ten rows thereafter.


 Evaluating ExcelFIX editions
Evaluating ExcelFIX editions

ExcelFIX demo edition can be configured so it works as any of the ExcelFIX editions: Standard, PRO, and Enterprise. ExcelFIX demo edition automatically starts working as ExcelFIX PRO although you can change it at any time in the demo settings.

We recommend trying ExcelFIX demo with your file in each of the different editions. Once you have evaluated the recovered file information in each, visit our editions & prices web page in order to make your choice. You will also find in this page the available multi-license packs. Please feel free to contact us for custom pricing and multi-licensing options, including Site and Global licensing.

All licenses include free updates and technical support for one year.


 How to order ExcelFIX
How to order ExcelFIX

ExcelFIX is very easy to order. The entire process takes an average of 15 minutes from ordering to the recovery of your file. These are the steps to follow:
  1. Go to our secure web order page.
  2. Select the product you want and enter your ordering information.
  3. In a few minutes our automatic system will send you an Email containing your download and install instructions, 24 hours a day, seven days a week.
  4. Recover your damaged files.

Payment options

If you do not have a credit card or simply need to know what other payment methods are accepted go to our payment options web page.

If you can only pay with a P.O please contact us

How is ExcelFIX delivered?

Key codes and download instructions are sent via Email immediately and automatically after the order is processed.


 Advanced recovery: Diagnose progress
Advanced recovery wizard (2 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Diagnose progress

During the file diagnosis you will see a progress bar that will show you how long the process will last.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Advanced recovery: Results of the diagnosis
Advanced recovery wizard (3 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Results of the diagnosis

The diagnosis first performs an analysis of the file to evaluate its structural state. The results of the diagnosis are shown as well as two recovery options to choose from:

  • Raw File Data: With this option the MS Excel data is extracted from the file ignoring the repaired OLE structure. This ensures that all the information is extracted from the file. The sheets where cells are placed could change and some formatting values such as fonts or number formats could be affected. It is recommended that you select the OLE file structure option first as more data will be recovered if the OLE structure can be repaired.

  • OLE file structure: The OLE file has a complex, internal structure resembling an internal hard disk with its own folders and files. Recovering your file using this option is recommended only if the OLE file structure is intact. You should try both options and select the one with the best results. In most cases ExcelFIX will recover the OLE file structure of the damaged file.

Once you have selected one of the two options click on [Recover] which will initiate the recovery process.


 Advanced recovery: Preview
Advanced recovery wizard (6 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Preview

The preview window allows you to view the recovered file. You can scroll through the visible area and select different sheets in the file. If there is a corresponding formula to a selected cell, it will be displayed in a box located at the top of the screen. The preview shows the value in each cell, however the present formulas can be viewed by changing the general options.

Click on [Go to save] to go to the next step and start the save process.

Demo restrictions

The demo version of ExcelFIX will show you a partial view of the recovered data hiding row 40 and one in ten rows thereafter.

Edition restrictions

If you have ordered the ExcelFIX Standard edition, or you have set the demo to the Standard edition, the recovered document will not contain formatting or other elements. You can view the recovered file with formatting by converting the ExcelFIX edition to PRO or to Enterprise by clicking on [Help / Demo]. Read more about the demo editions.


 Advanced recovery: Recovery progress
Advanced recovery wizard (4 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Recovery progress

During the file recovery you will see a progress bar that will show you how long the process will last.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Advanced recovery: Recovery results
Advanced recovery wizard (5 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Recovery results

When the file has been recovered you will see the results of the operation and a summary of the recovered elements in your file.

Click on [View] to go to the next step and see the recovered file in the preview window.

Recovery error:

If the recovery failed please correct the cause of the failure and click on [Try again] to begin a new recovery of the file.

If the resulting file cannot be opened

In some cases MS Excel shows an error when trying to open the recovered file. This indicates that some part of the corruption has passed through ExcelFIX's filtering system, causing the new file to be corrupt as well.

ExcelFIX tries to recover the largest possible amount of MS Excel elements (images, formats, fonts, links, formulas, shared cells, etc). Each new element makes the recovery more complex, increasing the possibility of having a new and undetected corruption. Each element must be read, parsed, and filtered. Only when the relationships with other elements are checked and the inconsistencies are removed, can the element be saved. ExcelFIX must understand each element in the same way MS Excel does but improve the reading to avoid a corruption.

The recovery engine of ExcelFIX adds new types of corruption that can be corrected in the same manner anti-viruses add new types of viruses to their databases. It is rare that a corrupt element bypasses the filtering system but it can occur. If an unknown corruption piece is affecting your output file, the recovery questions topic can help you solve the problem with ExcelFIX. If you cannot solve the problem please contact our technical support team making a support request. Remember that you have access to free technical support. All requests are answered within the hour, in most cases within minutes during office hours.


 Advanced recovery: Saving the file
Advanced recovery wizard (7 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Saving the file

The screen shows you the name and path of the new file that will be created. In order to preserve the original file a new one is created by adding the suffix "(ExcelFIX)" to the original file name. The new file is saved in the same location as the original file.

Click on [Save] to save the recovered data into the new file.

Changing the output file name

You may change the name of the output file by editing directly the field [Recovered file]. You should not use the same name as the original file in order to avoid overwriting it.

Changing file naming settings

You may change the default suffix used to name the new file in the menu [Options / Options / General].

Advanced recovery options button

This allows you to set your file saving options, including the formatting elements in the file and what sheets you want to save from the file. These options are very useful when in some rare occasions, a corruption passes through the filtering system, rendering the output file corrupt as well. In these special cases the solution could be to exclude some of the more susceptible data from the save.
Read more about the advanced saving options.


 Advanced recovery: Save options
Advanced recovery wizard (7a of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Save options

The advanced saving options can be accessed only from the advanced recovery Wizard, after the recovery, and before you save the file by clicking on [Options].

These options are very useful in some rare occasions when a corruption passes through the filtering system, rendering the output file corrupt as well. In these special cases the solution could be to exclude some of the more susceptible data from being saved into the new file.

Once you have chosen your options you can click on [Sheets] if you want to save only a group of selected sheets, or click on "Save" to save immediately.

Save formulas

By un-checking this option, the value information will appear in the cells of the recovered file but the formulas will not and will have to be rewritten. This option should only be unchecked if the formulas in the file can not be restored correctly. Only in very rare cases will this be needed.

User defined cell style names

Un-checking this option will exclude the user defined names for custom sets of cell formatting styles from the saving process. This option will not affect the overall content of the file.

Hyperlinks

These are hyperlinks containing a text title and a path reference. If this option is unchecked only the text will remain without the hyperlink.

Panes

Keeping this option checked will save the data containing information about columns and rows that remain fixed when you scroll a sheet. This option is not applicable to all files.

Page breaks

When this option is checked the page breaks that define what page a cell belongs to when the document is printed will be saved.

Printer settings

Keep this option checked to save the printer settings of the file, including paper size, margins, scale, copies etc

Zoom on sheets

This option will save the zoom level settings on each sheet.

Comments

Keep this option checked to save the comments attached to cells that the file could contain.

Outlines

This option will let you save the data that allows sets of rows or columns to be hidden in order to have a hierarchical view of the information.

Merged cells

Keep checked to save any cells merged together as a unique cell in the file.

Pictures

Keep this option checked to save the pictures and images in your file.

Charts

Keep this option checked to save the charts in your file.

Row information

Maintains the properties of each row in a sheet.

Row group indexes

Row information is stored internally in groups. This option stores index data for each group of rows.

Data validation

Validation data for ranges of cells.


 Advanced recovery: Save results
Advanced recovery wizard (9 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Save results

This screen is shown when the save process is completed. If you want more information regarding the recovered file please read the topic recovered file questions.

Once the file has been successfully saved click on [Open] to open the new file using MS Excel.

If the save process failed

If the save process failed please correct the cause of the failure and click on [Try again] to begin a new saving process of the file.

Starting a new recovery

In order to perform a new Quick Recovery click on the [Recovery] top button and you will return to the first step of the Wizard.

If the resulting file cannot be opened

In some cases MS Excel shows an error when trying to open the recovered file. This indicates that some part of the corruption has passed through ExcelFIX's filtering system, causing the new file to be corrupt as well.

ExcelFIX tries to recover the largest possible amount of MS Excel elements (images, formats, fonts, links, formulas, shared cells, etc). Each new element makes the recovery more complex, increasing the possibility of having a new and undetected corruption. Each element must be read, parsed, and filtered. Only when the relationships with other elements are checked and the inconsistencies are removed, can the element be saved. ExcelFIX must understand each element in the same way MS Excel does but improve the reading to avoid a corruption.

The recovery engine of ExcelFIX adds new types of corruption that can be corrected in the same manner anti-viruses add new types of viruses to their databases. It is rare that a corrupt element bypasses the filtering system but it can occur. If an unknown corruption piece is affecting your output file, the recovery questions topic can help you solve the problem with ExcelFIX. If you cannot solve the problem please contact our technical support team making a support request. Remember that you have access to free technical support. All requests are answered within the hour, in most cases within minutes during office hours.


 Advanced recovery: Sheets to save
Advanced recovery wizard (7b of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Sheets to save

This can be accessed only from the advanced recovery Wizard, after the recovery, and before you save the file by clicking on [Options] and then on [Sheets].

Check those sheets you want included in the recovered file. When you uncheck a sheet it is saved as an empty sheet, but it is not completely removed from the file to avoid broken links.

Once you have chosen the sheets you wish to save, you can click on [Options] to go to the advanced "save options" page, or click on [Save] to save immediately.


 Advanced recovery: Save progress
Advanced recovery wizard (8 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Save progress

During the file saving process you will see a progress bar that will show you the elapsed time, and time remaining until the completion of the process.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Advanced recovery: Select file
Advanced recovery wizard (1 of 9)
[Previous] [Next] -[1] [2] [3] [4] [5] [6] [7] [7 a] [7 b] [8] [9]
[Help index]

The Advanced recovery wizard runs in the main window and is composed of 9 steps.

Select file

Click on [Select file] and choose the file you want to recover from the explorer window.

Once the file has been selected click on [Diagnose] which will initiate the diagnosis process.


 ExcelFIX Help index
ExcelFIX help index

Software overview & features

Description
New in this version
Features & editions
Release history
System requirements
Multi-language
Limitations
Uninstall instructions

Software operating instructions

Main window & navigation

Recovery

Quick recovery
Advanced recovery
 Multi-file recovery
Lost strings
Editing a document

Configuration

Update wizard

Licensing operating

Installing the license file
1st time activation
Licensee details & agreement
Demo settings

Company, contact & support

Company
Contact
Technical support

Evaluating and ordering


 "Lost string" recovery example
Lost strings (recovery example)
[Overview] [Explanation] [ Types and applicability ] [Binding tips] [ Recovery example]

[Help index]

The original file

The original file contains a list of employees, extension numbers and departments:

Viewing "Lost strings"

The file results are corrupted and cannot be opened with MS Excel. We recover it with ExcelFIX and when we view it we find that the text cells show only the label "[Lost string]" and the original text has been lost. This means that the MS Excel text listing has been corrupted and either the texts have lost their reference system or the texts have been completely destroyed:

Binding the text listing

The next step is to click on the menu "Options/Lost strings". This will show the lost strings wizard, which allows you to search for lost strings inside or outside the file. Once the search is completed click on "Bind" to go to the "Bind editor".

Since the numeric cells cannot be affected by a lost string corruption we easily recognize the column for "Extension" and we can assume that the text on the top of the column "C1" must be the text "Extension".

We find the text "Extension" in the listing, manually or using the "Search for text" operation, and we select the text. Also, we select the corresponding cell on the right, the cell "D1".

All is ready to click on the [Bind] button. The reference numbers will be assigned to the texts, and every "lost string" cell in the viewer will be replaced with its corresponding text:

Checking the binding

Before we continue it is very important to check that we have bound the listing correctly. We can do so by double clicking on several texts in the listing: automatically the worksheet viewer will select the first cell bound to each text.

If a text is bound to different cells, each time that we double click on it, the next bound cell will be selected:

Recovery completed

In some occasions the text listing can be broken up into several blocks of texts with horizontal black lines. This means that different blocks of contiguous texts were found in different places. You should repeat the steps above for each block.

The work is done: we can apply the changes in the "Bind Editor" and save the file.


 Lost strings explanation
Lost strings (explanation)
[Overview] [Explanation] [ Types and applicability ] [Binding tips] [ Recovery example]

[Help index]

Most texts contained in an MS Excel file are saved in two structures:

  1. The text listing.
  2. The cell information.

1. Text Listing

The text listings contain the texts themselves organized in a list. A text can be referred to by its position on the list. If I have a list as follows:

  • Peter Smith
  • Sam Lam
  • Lucas Mac
  • Silvia Johnson
  • Rick Rose
  • Anne Morrison
  • Chuck Jones
  • Jane Flowers
  • Liam Peters

... I will know text #4 corresponds to "Silvia Johnson".

2. Cell information

This structure contains the information for each cell. This information is composed of the cell’s position (sheet, column and row) and the text reference in the "Text listing" structure as explained above.

Following the example, a cell containing the text "Silvia Johnson" placed in the cell D12 of the 3rd sheet of an MS Excel file, will contain the following information:

  • Sheet #3
  • Column #4 (#1 would be column "A", #2 would be column "B", and so on)
  • Row #12
  • Text #4

If different cells contain the exact same text, all of them will have the same reference number to the "Text listing".

Is "Lost string" recovery an option for me?


 Binding tips
Lost strings (binding tips)
[Overview] [Explanation] [ Types and applicability ] [Binding tips] [ Recovery example]

[Help index]

For ExcelFIX to bind all the texts in one list the user must be able to bind one text to its cell.

The cell before it is bound will be labelled as "[Lost string]". The reference number of the text appears next to the label. E.g. A cell referencing to text #37 will appear as follows: "[Lost string #37] ".

There are different ways to know how cells labelled as "[Lost string]" correspond to a given text. The user must have a partial recollection of the original file. Based on the surrounding cells of a cell labelled as "[Lost string]" we may guess what first text to bind.

Some tips to identify a "Lost string" cell

  • A title is usually at the top of each sheet. If you can remember a title and its placement you will have half the work done. Try different title texts and bind them to different cells until you find the correct match.

  • Many cells contain the same text. If many cells contained exactly the same text, they will all have the same reference number. Based on this, and on the uncorrupted surrounding cells, it is possible to successfully bind the text with any of its corresponding cells.

View a lost string recovery example


 "Lost strings" types and applicability
Lost strings (types and applicability)
[Overview] [Explanation] [ Types and applicability ] [Binding tips] [ Recovery example]

[Help index]

Lost strings corruption occurs when either the "Text listing" and/or the cell information is partially or totally destroyed. Depending on the extent of the damage, the following instances can occur:

1. The "Text listing" is partially destroyed ("Lost strings" feature will work)

Due to the corruption the "Text listing" has been broken into several parts. As a result the reference system between the "Cell information" and the "Text listing" becomes invalid. The "Lost strings" feature will allow you to reconstruct the reference system between both. Once it is reconstructed each cell will return to its original cell.

Following the example, if a corruption breaks our list in two parts, we will still know the reference number for the two first texts (#1 and #2). But as we don’t know how many texts the corruption has destroyed, we can’t know the reference number for the rest of the intact texts...

  • Peter Smith (#1)
  • Sam Lam (#2)
  • ( *** garbage information produced by the corruption *** )
  • Anne Morrison (# unknown)
  • Chuck Jones (# unknown)
  • Jane Flowers (# unknown)
  • Liam Peters (# unknown)

The "Lost strings" feature allows the user to tell the program that "Anne Morrison" corresponds to the reference #6. Since the text reference numbers are consecutive, ExcelFIX will bind all the remaining consecutive texts to their original cell. The difficult part is making the first binding so the program can do the rest. Later some binding techniques will be explained.

2. The "Cell information" is damaged ("Lost strings" feature will not work)

If the cell information of a cell is destroyed by the corruption, we will still have the text but we will never be able to know its cell position so all we will have left is a text without possible reference.

In this case, the viewer shows the text in the "Text listings" section on the left side of the window, but the cell will not appear in any spreadsheet because its placing information was destroyed.

3. The "Text listing" is completely destroyed ("Lost strings" feature will not work)

In this instance, the file will only contain empty cells, we know where they are but their text content is lost. If the texts are not in the file it is impossible to recover them.

In this case, the viewer shows the cells correctly placed in the "Spreadsheet viewer" section, but they will always show the label "[Lost String]" because the original text was destroyed.

Is "Lost strings" recovery an option for me?

The "Lost string" recovery will be possible only if both text and corresponding cells are present in the file.

This can be checked if we can find the text in the "Text listing" in the lost string Bind editor, and also we can find the corresponding cells, labelled as "[Lost string]", in the file viewer.

If either side is missing the recovery is not possible. Only one side showing information is not enough.

How can I find out which cell corresponds to a cell?


 Lost strings wizard: Bind editor
Lost strings wizard (4 of 4)
[Previous] [Next] - [1] [1 b] [2] [3] [4]
[Help index]

The lost strings wizard runs inside the main window and has 4 steps.

Bind editor

This allows you to bind the detached texts with the detached cells (those containing the label "lost string"). The editor is mainly divided in two areas:

  • Text listing : to the left, the list box contains all the texts in the file. The "ID" column shows the text number if the text is already attached to one or some cells. If "ID" shows "?" it means that the text is a lost string. Blocks: The listing is divided in blocks by horizontal black lines. A block contains a list of texts with correlative IDs. ExcelFIX put together those text found in the same place and so they are supposed to have correlative indexes.

  • Sheet viewer: to the right, you have a worksheet viewer. If you browse the different sheets you can recognize the lost string cells because they contain the label "[lost string #n]". These cells originally had a text which number is known but due to the corruption it is not possible to identify which text in the list belongs to this cell.

The goal in this editor is to select a text to the left and a lost string cell to the right and bind both of them.

Once all the text in the list to the left are bound to cells and have an ID number you can make the changes permanent in the current preview by clicking on [Apply] or discard the changes by clicking on [Cancel].

Searching a text

Helps you to locate a concrete text you want to bind to a cell.

Type a part of the text in the box and click on [<<] or [>>] to search for it back or forward. The search will begin from the currently selected text.

Available operations

You can reach the different applicable options by clicking on the buttons at the top ("Bind" & "Unbind") or by right-clicking on the text listing or in the worksheet viewer. The operations are:

Bind current text and cell: Binds the selected text in the listing to the left with the selected cell to the right. If you bind one text with one cell, all the texts in the same block will be bound as well as they should have correlative indexes.

Unbound texts in current block: Unbinds every text in the current group from its cell. Each cell will then be a [Lost string] and will have "?" as ID.

Add a block division: When you bind or unbind a text the entire block is bound or unbound as well. If you find that a part of a block is correctly bound and the other is incorrectly bound, this will allow you to break up the block into two new blocks and bind only one of them. The block division is represented by a black horizontal line.

Remove the block division: This allows you to combine 2 blocks by removing the block division represented by a black horizontal line.

Find next cell bound to current text: Once a block of texts is bound, you should check that every text in the same block has been bound with the correct cell. This can be done by selecting each text in a block and then running this option: the bound cell to the current text will be then automatically selected to the right viewer. If there are many cells corresponding to the same text you can repeat the operation in order to reach the different cells. You can also double click on a text to run this option over it.

Find previous cell bound to current text: The same as the previous step, but if there are many cells corresponding to the current text this will take you to the previously bound cell.

Go to the next block division: Takes you to the next block division represented by a horizontal black line.

Go to the previous block division: Takes you to the previous block division represented by a horizontal black line.

Delete current text: Removes the selected text. The texts in the same block and below will be unbound and put together in a new block.


 Lost strings wizard: Search results
Lost strings wizard (3 of 4)
[Previous] [Next] - [1] [1 b] [2] [3] [4]
[Help index]

The lost strings wizard runs inside the main window and has 4 steps.

Search results

This shows the number of new texts found. They are added to the text listing of the file, however these new texts are detached from any cell so they do not affect the file until you bind each new text with a container cell.

Click on [Bind texts] if you want to place the new texts found. Even if no new texts are found you can rearrange pre-existing, incorrectly placed texts.

If the search fails

If the search fails please correct the cause of the failure and click on [Try again] to start a new search of the file.


 Lost strings wizard: Search
Lost strings wizard (1 of 4)
[Previous] [Next] - [1] [1 b] [2] [3] [4]
[Help index]

The lost strings wizard runs inside the main window and has 4 steps.

Search

This wizard leads you through the lost strings searching process in the current file or in others. Once completed the search you can return the new found texts to their corresponding cells.

You can search for lost texts in the current file or in an external file:

  • This file: In most cases the text area becomes corrupt but remains in the file. A search in the file itself will allow you to find the lost texts.

  • External file: This is useful if the lost texts are not in the current file and you want to search for them in an external file. Two examples: 1. Temporary files or CHK files as a result of using a file system repair utility such as Scandisk. 2. An obsolete version of the file you are recovering can contain the wanted lost texts.

Click on [Search] to begin the search process. The texts found will be added to the list for a later bind. If you select the option [External file] the name of the file will be asked before searching.


 Lost strings wizard: Search process
Lost strings wizard (2 of 4)
[Previous] [Next] - [1] [1 b] [2] [3] [4]
[Help index]

The lost strings wizard runs inside the main window and has 4 steps.

Search process

During the lost strings search process you will see a progress bar that will show you how long the process will last.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Lost strings wizard: Select file
Lost strings wizard (1b of 4)
[Previous] [Next] - [1] [1 b] [2] [3] [4]
[Help index]

The lost strings wizard runs inside the main window and has 4 steps.

Select file

This is useful if the lost texts are not in the current file and you want to search for them in an external file. Two examples: 1. Temporary files or CHK files as a result of using a file system repair utility such as Scandisk. 2. An obsolete version of the file you are recovering can contain the wanted lost texts.

Click on [Select file] and choose the file to search in. Then click on [Search now].


 Multi-file recovery: Overwrite alert
Multi-file recovery wizard (1b of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Overwrite alert

This alert is shown because some of the destination files already exist.

If this occurs it is because you have a different file, or a file that is a result of a previous recovery with the same name as the file you are trying to recover. If this is the case you can click on [Continue] with no worry.


 Multi-file recovery: Recovery process
Multi-file recovery wizard (2 of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Recovery process

During the recovery of the files you will see a progress bar that will show how long the process will take.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Multi-file recovery: Results
Multi-file recovery wizard (3 of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Results

This shows the results of the recovery for each file and helps you open them with MS Excel. The list box has two columns:

  • Output file: The new file created containing the recovered data.

  • Result: If the recovery for a particular file was successful this field will show "OK". If you select the file and you click on [Open] the file will be opened with MS Excel. If the recovery failed, the cause of the failure will be shown in this column and the [Open] button will not be available.

If the resulting file cannot be opened

In some cases MS Excel shows an error when trying to open the recovered file. This indicates that some part of the corruption has passed through ExcelFIX's filtering system, causing the new file to be corrupt as well.

ExcelFIX tries to recover the largest possible amount of MS Excel elements (images, formats, fonts, links, formulas, shared cells, etc). Each new element makes the recovery more complex, increasing the possibility of having a new and undetected corruption. Each element must be read, parsed, and filtered. Only when the relationships with other elements are checked and the inconsistencies are removed, can the element be saved. ExcelFIX must understand each element in the same way MS Excel does but improve the reading to avoid a corruption.

The recovery engine of ExcelFIX adds new types of corruption that can be corrected in the same manner anti-viruses add new types of viruses to their databases. It is rare that a corrupt element bypasses the filtering system but it can occur. If an unknown corruption piece is affecting your output file, the recovery questions topic can help you solve the problem with ExcelFIX. If you cannot solve the problem please contact our technical support team making a support request . Remember that you have access to free technical support. All requests are answered within the hour, in most cases within minutes during office hours.


 Multi-file recovery: Select files
Multi-file recovery wizard (1 of 3)
[Previous] [Next] - [1] [1 b] [2] [3]
[Help index]

The Multi-file recovery wizard runs inside the main window and has 3 steps.

Select files

This will perform an automatic recovery of the all files in the list without interruption until all files have been processed.

The list has two columns:

  • Corrupt file: The full path and name of the corrupt file.
  • Output file: The relative path and name where the recovered file will be saved. The dot in the path is equivalent to the folder where the corrupt file is.

Add corrupted files to the list by dragging and dropping them from the Windows Explorer or by using the buttons above the list:

  • Add: Allows you to browse your disk and add one or more files to the list.
  • Clear: Removes the selected files from the list.
  • Clear all: Empties the list.

Once the files have been selected click on [Recover all] which will initiate the recovery & save process. If some of the output files already exist you will be taken to the [Overwrite alert].


 Options: Alerts
Options (alerts)
[General] [Multi-file] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

Some alert dialog boxes in the program have a check box [Don't show any more]. If you check this option the dialog is no longer shown.

If you miss an alert dialog you can click on [Show all alerts] to reactivate all of the currently hidden dialog boxes in the program. You will still be able to hide the boxes again at any time.


 Options: Multi-file
Options (multi-file)
[General] [Multi-file] [Alerts]
[Help index]

You can access this main section in the menu [Options / Options].

Edit the options you want and click on [Apply] to save or [Cancel] to discard. You will be taken to the last recovery wizard step you were running.

This options will only affect the multi-file recovery operations. For quick recovery & advanced recovery naming options go to the menu [Options / Options / General].

In this section you can configure how ExcelFIX names the new files created in multi-file recovery operations.

Output file suffix

This will save the recovered files in the same folder as the original files by adding a configurable preset suffix. This allows you to have the recovered files in the same folder as the original and adjacent to it when ordering the files by name.

Output subfolder name

This will save the recovered files with the same name as the original file but into a subfolder. This allows you to have the recovered files all together in a subfolder with an identical name arrangement as the original.


 Quick recovery: Preview
Quick recovery wizard (4 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Preview

The preview window allows you to view the recovered file. You can scroll through the visible area and select different sheets in the file. If there is a corresponding formula to a selected cell, it will be displayed in a box located at the top of the screen. The preview shows the value in each cell, however the present formulas can be viewed by changing the general options.

Click on [Go to save] to go to the next step and start the save process.

Demo restrictions

The demo version of ExcelFIX will show you a partial view of the recovered data hiding row 40 and one in ten rows thereafter.

Edition restrictions

If you have ordered the ExcelFIX Standard edition, or you have set the demo to the Standard edition, the recovered document will not contain formatting or other elements. You can view the recovered file with formatting by converting the ExcelFIX edition to PRO or to Enterprise by clicking on [Help / Demo]. Read more about the demo editions.


 Quick recovery: Recovery process
Quick recovery wizard (2 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Recovery process

During the file diagnosis you will see a progress bar that will show you how long the process will last. Once the file has been diagnosed, it will be automatically recovered with the default options, showing you the progress of the operation, the elapsed time and remaining time until completion.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Quick recovery: Recovery results

Quick recovery wizard (3 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Recovery results

When the file has been recovered you will see the results of the operation and a summary of the recovered elements in your file.

Click on [View] to go to the next step and see the recovered file in the preview window.

Recovery error:

If the recovery failed please correct the cause of the failure and click on [Try again] to begin a new recovery of the file.


 Quick recovery: Saving the file
Quick recovery wizard (5 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Saving the file

The screen shows you the name and path of the new file that will be created. In order to preserve the original file a new one is created by adding the suffix "(ExcelFIX)" to the original file name. The new file is saved in the same location as the original file.

Click on [Save] to save the recovered data into the new file.

Changing the output file name

You may change the name of the output file by editing directly the field [Recovered file]. You should not use the same name as the original file in order to avoid overwriting it.

Changing file naming settings

You may change the default suffix used to name the new file in the menu [Options / Options / General].


 Quick recovery: Save results
Quick recovery wizard (7 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Save results

This screen is shown when the save process is completed. If you want more information regarding the recovered file please read the topic recovered file questions.

Once the file has been successfully saved click on [Open] to open the new file using MS Excel.

If the save process failed

If the save process failed please correct the cause of the failure and click on [Try again] to begin a new saving process of the file.

Starting a new recovery

In order to perform a new Quick Recovery click on the [Recovery] top button and you will return to the first step of the Wizard.

If the resulting file cannot be opened

In some cases MS Excel shows an error when trying to open the recovered file. This indicates that some part of the corruption has passed through ExcelFIX's filtering system, causing the new file to be corrupt as well.

ExcelFIX tries to recover the largest possible amount of MS Excel elements (images, formats, fonts, links, formulas, shared cells, etc). Each new element makes the recovery more complex, increasing the possibility of having a new and undetected corruption. Each element must be read, parsed, and filtered. Only when the relationships with other elements are checked and the inconsistencies are removed, can the element be saved. ExcelFIX must understand each element in the same way MS Excel does but improve the reading to avoid a corruption.

The recovery engine of ExcelFIX adds new types of corruption that can be corrected in the same manner anti-viruses add new types of viruses to their databases. It is rare that a corrupt element bypasses the filtering system but it can occur. If an unknown corruption piece is affecting your output file, the recovery questions topic can help you solve the problem with ExcelFIX. If you cannot solve the problem please contact our technical support team making a support request. Remember that you have access to free technical support. All requests are answered within the hour, in most cases within minutes during office hours.


 Quick recovery: Save progress
Quick recovery wizard (6 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Save progress

During the file saving process you will see a progress bar that will show you the elapsed time, and time remaining until the completion of the process.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Quick recovery: Select file
Quick recovery wizard (1 of 7)
[Previous] [Next] - [1] [2] [3] [4] [5] [6] [7]
[Help index]

The Quick recovery wizard runs inside the main window and has 7 steps.

Select file

Click on [Select file] and choose the file you want to recover from the explorer window.

Once the file has been selected click on [Recover] which will initiate the diagnosis and recovery process.


 ExcelFIX Recovery Engine
ExcelFIX Recovery Engine

ExcelFIX 4 is the result of a year and a half of work by our best programmers. Despite ExcelFIX 3 being the best Software for the recovery of corrupt MS Excel file, we believed that we could make it even better. Quality is our primary goal and ExcelFIX 4 is proof of this statement. This version has an entirely new recovery engine that restores hundreds of new corruption types. It also includes an all new user interface, new graphics and many new features and options. ExcelFIX is now in a category of its own with no possible comparison to any existing software of its type.

How does ExcelFIX work?

The ExcelFIX 4 recovery engine contains programming code that has the equivalent functionality of MS Excel's read and save functions. The code is designed and tested to work in unfriendly, damaged file environments. The code has been written from scratch as the source code for Ms Office is not publicly available.

OLE structure

An MS Excel file has an internal structure similar to a disk inside a file. The XLS file contains elements equivalent to files and folders. This structured file format is called OLE File or OLE Compound File. In many cases this structure becomes damaged, and as a result it is not possible to read the contents of the file. We can say that ExcelFIX is partly an "OleFIX" utility. As MS Excel is unable to read damaged OLE files, a new OLE file reading system is created that is able to reconstruct this structure even with extremely defective files.

Records chain

Once the OLE structure of the file has been reconstructed, the interior of the file can be read. The file is analyzed and the version of MS Excel is determined, as MS Excel files are different depending on their version. The main stream inside the file contains a listing of MS Excel records that contains all of the workbook's information. There are hundreds of different types of records and every type has a particular structure.

The first problem comes from the fact that the record chain can be affected by the corruption. This means that in many cases the records are not able to be read. This occurs because the position of a record depends on the previous one: If one of them is corrupted, it is not possible to know where the next is. This is solved using a multi algorithm approach: 1. ExcelFIX performs a morphological analysis of each record based on fixed aspects, ranges, size and other factors. 2. ExcelFIX makes different combinations of the records and chooses the combination that creates a better chain. 3. ExcelFIX compares the relationship between records with a statistical database generated from thousands of real MS Excel files.

Parsing data

The next step is reading each record in memory and parsing its contents in the same way MS Excel does. Relationships between elements have to be carefully checked as well.

Viewing data

At this point the graphic user interface allows the user to view and browse the file to check its contents. Also at this stage the user can perform special tasks such as a lost strings recovery applicable in some corruption cases. Only ExcelFIX recovers this type of corruption.

Saving data

Finally the data is saved in a new trouble free file. This requires reproducing the save functions in MS Excel for the collected data stored in memory using our proprietary format.

Continuous testing

This utility works with files whose contents and corruption nature cannot be predicted. We have tested ExcelFIX with thousands of corrupted files and will continue to do so to include the recovery of every corruption type possible.


 Work-around for persistent corruptions
Work-around for persistent corruptions

If the file created by ExcelFIX does not open try the following:

Saving only main MS Excel elements

Select, Diagnose and Recover the corrupt file from the Advanced Recovery main section. Once the file has been recovered go to the menu [File / Save] and click on [Options] at the bottom right. Unmark all of the saving options except for "Save Formulas".

Click on [Save] and try to open the file. If it cannot be opened try with the next topics.

Hard cleaning the file

Go to the Advanced editor in the menu [Options / Edit document] and click on [Hard Clean File].

Click on [Save] and try to open the file. If it cannot be opened try with the following topics.

The hard clean operation can make some elements of the file such as formula links defective. The next topics can help you improve the results.

Looking for the damaged sheets

In order to find where the error is located within the file, either in a sheet or in the structure, do the following:

A. Go to the menu [File / Save] and click on [Options] and then on [Sheets] . In the Sheets step you can include and exclude sheets from the saving process.

B. First unmark all of the sheets and click on [Save]. If asked to replace the file click on [Rename File]. Open the file without any sheets. If the file opens it means that the error is located in one or more of the sheets. You should continue then with recovery step C below.

If the file does not open the error is in the structure of the file and you should contact the technical support department for a manual in-house recovery.

C. Now you know the error is in one or more of the worksheets. You should perform multiple, partial saves of the file to determine which sheet(s) contain the error that prohibits the file from opening. Each time you should include only a few sheets: if the file opens it means those sheets are Ok.

Once you have found the sheets where the persistent corruption is try with the following topics.

Hard cleaning the affected sheets

Once you have determined the sheets where the error is located, go to the Advanced editor through the menu [Options / Edit document] and apply the [Hard Clean Sheet] only to the page(s) containing the error. Next, close the Editor and save the file to see if these problematic sheets can now be opened.

If the open failure persists you must save the entire file excluding the error sheet(s). However you can improve the results following the next topics.

Looking for the damaged cells

Once you have found which sheets contain problem data it is also possible to apply the same method to find the problem cell(s). This can be done using the Advanced editor by using the [Crop Cells] and [Delete Cells] options.

The [Delete Cells] option will allow you to eliminate individual or groups of cells and the [Crop Cells] option will allow you to select the cells you wish to keep in the file and eliminate the rest. By removing different groups of cells from the affected sheet and saving the document repeatedly, you will be able to determine which cells prevent the file from opening. Be aware that you will need to start a new Advanced Recovery of your file for each time that you delete cells in order to recover the previously deleted cells.

When the cell(s) containing the error have been identified, apply the Hard Clean Cells option to them. If the file cannot be opened after the hard clean the problem cells should be omitted from the file and re-entered by hand.

Still having problems

If you cannot obtain a useful file by applying these step do not hesitate in contacting the technical support department.


 Update wizard: Check results
Update wizard (2 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Check results

This step shows whether you have the latest release or there is a newer release available.

Click on [Download] to start the download. It will take a few seconds or a few minutes depending on your connection speed. The installation file will be stored in the program folder, LastSetup.exe.


 Update wizard: Download progress
Update wizard (3 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Download progress

During the download you will see a progress bar that will show you how long the process will last. It will take a few seconds or a few minutes depending on your connection speed. The installation file will be stored in the program folder, LastSetup.exe.

You may cancel the operation by clicking on the [Cancel] button at any time.


 Update wizard: Results
Update wizard (4 of 4)
[Previous] [Next] -[1] [2] [3] [4]
[Help index]

You can access this option from the menu [Options / Update]

This wizard allows you to download & install the latest available release of the program from our web site by simply clicking a few times on the "next" button.

Results

Once completed, and if the download has been completed successfully, you can click on [Install]. The program will be closed and the set-up will be launched. It is important to close any OfficeFIX application before installing the new release.

If the download fails

If the download failed please correct the problem and click on [Try again].